/*
vodcms6.0
2008-9-18
24498936@qq.com
*/
function movie(){
	this.setCategory = function(name){
		obj = document.getElementById('category').parentNode.getElementsByTagName('INPUT');
		if (this.catexists($(name).val(), obj) === true){
			$('#catebut').after('<div><strong>'+$(name+' option[@selected]').text()+'</strong><input type="hidden" name="category[]" value="'+$(name).val()+'" /> <a onClick="this.parentNode.parentNode.removeChild(this.parentNode)">删除</a></div>');
		}else{
			alert('分类已经存在列表!');
		}
	};
	/*
	判断是否已经存在项目中
	*/
	this.catexists = function(cateid, obj){
		for(i=0;i<obj.length;i++){
			if (obj[i].value == cateid){
				return false;
			}
		}
		return true;
	};
	this.setPlayer = function(){
		obj = document.getElementById('player').parentNode.getElementsByTagName('INPUT');
		if (this.catexists($('#player').val(), obj) === true){
			$('#playerbut').after('<div><strong>'+$('#player option[@selected]').text()+'</strong><input type="hidden" name="player[]" value="'+$('#player').val()+'" /> <a onClick="this.parentNode.parentNode.removeChild(this.parentNode)">删除</a></div>');
		}else{
			alert('分类已经存在列表!');
		}
	}
	this.setServer = function(){
		obj = document.getElementById('sid').parentNode.getElementsByTagName('INPUT');
		if (this.catexists($('#sid').val(), obj) === true){
			$('#sevbut').after('<div><strong>'+$('#sid option[@selected]').text()+'</strong><input type="hidden" name="sid[]" value="'+$('#sid').val()+'" /> <a onClick="this.parentNode.parentNode.removeChild(this.parentNode)">删除</a></div>');
		}else{
			alert('分类已经存在列表!');
		}
	};
	this.setUrl = function(){
		var urlname = $('#urlname').val();
		var startnum = $('#startnum').val();
		var endnum = parseInt($('#endnum').val());
		var ext = $('#ext').val();
		if (this.isNumeric(startnum) ==false){
			alert('开始集数必须为数字!');
			$('#startnum').focus();
			return false;
		}
		if (this.isNumeric(endnum) ==false){
			alert('结束集数必须为数字!');
			$('#startnum').focus();
			return false;
		}
		if (endnum < startnum){
			alert('结束集数必须大于等于开始集数!');
			$('#startnum').focus();
			return false;
		}
		$('#urldata').empty(); 
		var alt;
		for(i=startnum;i<=endnum;i++){
			url = urlname + i + ext;
				if (endnum ==2){
					if (i==1){
						alt = '上集';
					}else{
						alt = '下集';
					}
				}else if (endnum == 3){
					if (i == 1){
						alt = '上集';
					}else if (i == 2){
						alt = '中集';
					}else{
						alt = '下集';
					}
				}else if (endnum == 1){
					alt = '全集';
				}else if (endnum > 3){
					if (i <10){
						alt = '第0'+i+'集';
						url = urlname + '0'+i + ext;
						
					}else{
						alt = '第'+i+'集';
					}
				}
			html = '<div><input name="url[]" type="text" size="40" value="'+url+'" /> 标题 <input name="alt[]" type="text" size="10" value="'+alt+'" /> 排序 <input name="sort[]" type="text" size="5" value="'+i+'" /> <input name="Submit4" type="button" class="btns" value="删除" onClick="this.parentNode.parentNode.removeChild(this.parentNode)" /></div>';
				$('#urldata').append(html);
			$
			
		}
		/*if (typeof(snum) != 'numeric'){
			alert('开始jishu')
		}
		if (typeof(enum) != 'numeric'){
			
		}
		if (snum > enum){
			alert('开始集数不能大于结束集数');
			return false;
		}*/
	}
	this.isNumeric = function(str){
		var partn = /^[0-9]{1,3}$/;
		if (partn.exec(str) == null){
			return false;
		}else{
			return true;
		}
	}
}